Bug 1455026 - [BUG] Capsule sync stops with a warning. Error "RestClient::MethodNotAllowed"
Summary: [BUG] Capsule sync stops with a warning. Error "RestClient::MethodNotAllowed"
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Capsule - Content
Version: 6.2.8
Hardware: Unspecified
OS: Unspecified
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Peter Ondrejka
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-05-24 05:29 UTC by vivpatil
Modified: 2020-09-10 10:36 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20102 0 None None None 2017-07-05 04:30:32 UTC

Description vivpatil 2017-05-24 05:29:58 UTC
Description of problem:

Capsule sync tasks complete with a warning. The error we see is on the  "Actions::Pulp::Repository::Destroy" action . 
===
Input:
---
pulp_id: 
capsule_id: 2
remote_user: admin
remote_cp_user: admin
locale: en
Output:
--- 

Output:
---{}

Error:

RestClient::MethodNotAllowed

405 Method Not Allowed
===

As we can see the pulp_id parameter is empty for the task which seems to be likely cause of the error.

Version-Release number of selected component (if applicable):

Satellite 6.2.8

How reproducible:

Only reproducible in customers environment.

Actual results:
The sync completes with the warning "RestClient::MethodNotAllowed".

Expected results:
It should not give any warning messages.

Additional info:

Comment 3 Satellite Program 2017-07-05 06:07:50 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20102 has been resolved.

Comment 8 Peter Ondrejka 2018-01-30 09:30:38 UTC
Was not able to reproduce on Sat 6.3 snap 33 when syncing repository changes to capsule. Verified the code has been merged downstream.

Comment 9 Satellite Program 2018-02-21 16:54:17 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.